# std::linear_congruential_engine<UIntType,a,c,m>::operator()

From cppreference.com
< cpp‎ | numeric‎ | random‎ | linear congruential engine

result_type operator()(); |  | (since C++11)

Generates a pseudo-random value. The state of the engine is advanced by one position.

| This section is incomplete

### Parameters

(none)

### Return value

A pseudo-random number in [min(), max()].

### Complexity

Amortized constant.

### See also

discard | advances the engine's state by a specified amount (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/linear_congruential_engine/operator()&oldid=103839"